> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get default listed token data

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /tokens/known
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /tokens/known:
    get:
      tags:
        - Tokens
      summary: Get default listed token data
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Token'
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.
  schemas:
    Token:
      type: object
      properties:
        id:
          type: string
          description: Token id (shard.realm.num)
          example: 0.0.731861
        name:
          type: string
          description: Token name
          example: SAUCE
        symbol:
          type: string
          description: Token symbol
          example: SAUCE
        icon:
          type: string
          description: Relative path to the token icon
          example: /images/tokens/sauce.svg
        decimals:
          type: integer
          description: Token decimal places
          example: 6
        price:
          type: string
          example: '36806544'
          description: Token price in tinybar
        priceUsd:
          type: number
          description: Token price in terms of USD
          example: 0.01763457
        dueDiligenceComplete:
          type: boolean
          description: Token due diligence completed?
          example: true
        isFeeOnTransferToken:
          type: boolean
          description: Token has fees on transfer?
          example: false
        description:
          type: string
          description: Token description
          example: >-
            SaucerSwap is an open source and non-custodial AMM protocol native
            to Hedera.
        website:
          type: string
          description: Token website link
          example: https://www.saucerswap.finance/
        sentinelReport:
          type: string
          description: Token sentinel report link
          example: https://sentinel.headstarter.org/details/saucerswap
        twitterHandle:
          type: string
          description: Token sentinel report link
          example: SaucerSwapLabs
      required:
        - id
        - name
        - symbol
        - icon
        - decimals
        - price
        - priceUsd
        - dueDiligenceComplete
        - isFeeOnTransferToken
        - description
        - website
        - sentinelReport
        - twitterHandle

````